Retrieve Audit Types
Retrieve all available audit types you have permission to access.
GET
/api/{version}/metadata/audittrailHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
limit | Paginate the results by specifying the maximum number of histories per page in the response. This can be any value between 1 and 1000. If omitted, defaults to 200. |
offset | Paginate the results displayed per page by specifying the amount of offset from the entry returned. For example, if you are viewing the first 50 results (page 1) and want to see the next page, set this to offset=51. If omitted, defaults to 0. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v20.1/metadata/audittrailResponse
Section link for Response{
"responseStatus": "SUCCESS",
"audittrails": [
{
"name": "document_audit_trail",
"label": "Document Audit Trail",
"url": "/api/v20.1/metadata/audittrail/document_audit_trail"
},
{
"name": "object_audit_trail",
"label": "Object Audit Trail",
"url": "/api/v20.1/metadata/audittrail/object_audit_trail"
},
{
"name": "system_audit_trail",
"label": "System Audit Trail",
"url": "/api/v20.1/metadata/audittrail/system_audit_trail"
},
{
"name": "domain_audit_trail",
"label": "Domain Audit Trail",
"url": "/api/v20.1/metadata/audittrail/domain_audit_trail"
},
{
"name": "login_audit_trail",
"label": "Login Audit Trail",
"url": "/api/v20.1/metadata/audittrail/login_audit_trail"
}
]
}